sbevent_s Struct Reference

## Data Fields

pthread_mutex_t | mtx
pthread_cond_t | cond
int | signalled

## Detailed Description

Definition at line 385 of file sbthread.c.

## Field Documentation

## cond

pthread_cond_t sbevent_s::cond

Definition at line 387 of file sbthread.c.

## mtx

pthread_mutex_t sbevent_s::mtx

Definition at line 386 of file sbthread.c.

## signalled

int sbevent_s::signalled

Definition at line 388 of file sbthread.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/sbthread.c